package com.sky.common.config;

import com.github.xiaoymin.knife4j.spring.annotations.EnableKnife4j;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

@Configuration
@Slf4j
@EnableKnife4j
public class Knife4jConfiguration {
    /**
     * 通过knife4j生成接口文档
     * 管理端接口
     *
     * @return Docket
     */
    @Bean
    public Docket docketAdmin() {
        log.info("A管理端接口");
        // 添加作者
        springfox.documentation.service.Contact contact = new Contact("Bunny", "1319900154@qq.com", "1319900154@qq.com");
        ApiInfo apiInfo = new ApiInfoBuilder().title("苍穹外卖项目接口文档").version("2.0").description("苍穹外卖项目接口文档").contact(contact).build();
        return new Docket(DocumentationType.SWAGGER_2).groupName("A管理端接口")
                .apiInfo(apiInfo).select().apis(RequestHandlerSelectors.basePackage("com.sky.controller.admin"))
                .paths(PathSelectors.any()).build();
    }

    @Bean
    public Docket docketUser() {
        log.info("B用户端接口");

        ApiInfo apiInfo = new ApiInfoBuilder().title("苍穹外卖项目接口文档").version("2.0").description("苍穹外卖项目接口文档").build();
        return new Docket(DocumentationType.SWAGGER_2).groupName("B用户端接口")
                .apiInfo(apiInfo).select().apis(RequestHandlerSelectors.basePackage("com.sky.controller.user"))
                .paths(PathSelectors.any()).build();
    }

    @Bean
    public Docket docketNotify() {
        log.info("Pay支付接口");

        ApiInfo apiInfo = new ApiInfoBuilder().title("苍穹外卖项目接口文档").version("2.0").description("苍穹外卖项目接口文档").build();
        return new Docket(DocumentationType.SWAGGER_2).groupName("Pay支付接口")
                .apiInfo(apiInfo).select().apis(RequestHandlerSelectors.basePackage("com.sky.controller.notify"))
                .paths(PathSelectors.any()).build();
    }
}
