package com.sky.common.utils;

import lombok.RequiredArgsConstructor;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.*;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.io.Serializable;

@Component
@RequiredArgsConstructor
public class RestTemplateUtil<T> implements Serializable {
    private final RestTemplate restTemplate;

    public ResponseEntity<?> requestGet(String url, T t) {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);

        HttpEntity<T> entity = new HttpEntity<T>(t, headers);

        ResponseEntity<?> response = restTemplate.exchange(url, HttpMethod.GET, entity, new ParameterizedTypeReference<T>() {
        });

        return response.getStatusCode().is2xxSuccessful() ? response : null;
    }
}
