package com.sky.controller.admin;


import com.sky.common.constant.MessageConstant;
import com.sky.common.result.Result;
import com.sky.service.MinioService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@RestController
@RequiredArgsConstructor
@RequestMapping("/admin/common")
@Api(tags = "通用接口")
@Slf4j
public class CommonController {
    private final MinioService minioService;

    @ApiOperation(value = "文件上传")
    @PostMapping("/upload")
    public Result<String> upload(MultipartFile file) {
        log.info("文件上传：{}", file);
        try {
            String filename = minioService.upload(file);
            return Result.success(filename);
        } catch (IOException e) {
            log.info("文件上传失败");
            return Result.error(MessageConstant.UPLOAD_FAILED);
        }
    }
}
