package com.sky.service.impl;


import com.sky.common.properties.MinioProperties;
import com.sky.common.utils.MinioUtils;
import com.sky.service.MinioService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.time.LocalDate;
import java.util.UUID;

@Service
@Slf4j
public class MinioServiceImpl implements MinioService {
    @Resource
    MinioProperties minioProperties;
    @Resource
    private MinioUtils minioUtils;

    @Override
    public String upload(MultipartFile file) throws IOException {
        String extension = file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."));
        String filename = LocalDate.now() + "/" + UUID.randomUUID() + extension;
        log.info("上传文件：{}", filename);

        minioUtils.bucketCreate(minioProperties.getBucketName());
        return minioUtils
                .uploadFile(minioProperties.getBucketName(),
                        filename,
                        file.getInputStream(),
                        file.getSize());
    }
}
